Name:       asciidoc
Version:    8.6.9
Release:    %mkrel 1
Summary:    Tool to convert AsciiDoc text files to DocBook, HTML or Unix man pages
Summary(de): Tool zum Konvertieren von AsciiDoc Textdateien in HTML/Unix-man-Seiten
License:    GPLv2+
Group:      Publishing
Url:        http://www.methods.co.nz/asciidoc/
Source0:    http://downloads.sourceforge.net/project/asciidoc/asciidoc/%{version}/asciidoc-%{version}.tar.xz
#Patch0:     asciidoc-8.5.3-fix_makefile.patch
BuildRequires: python-devel 
BuildRequires: dos2unix
BuildRequires: docbook-dtd42-xml
BuildRequires: docbook-dtd43-xml
BuildRequires: docbook-dtd44-xml
BuildRequires: docbook-dtd45-xml
BuildArch: noarch
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}
Requires: python


%description
AsciiDoc is a text document format for writing short documents, articles,
books and UNIX man pages.

%description -l de
Asciidoc ist ein Textdokumentformat für das Schreiben von kurzen Dokumenten,
Artikeln, Büchern und Unix-man-Seiten.

%prep
%setup -q
#%%patch0 -p0


for i in CHANGELOG README; 
do
    iconv -f ISO-8859-1 -t UTF-8 -o $i.UTF-8 $i
    mv  $i.UTF-8 $i
done
for i in  doc/book-multi.txt doc/article.txt COPYRIGHT doc/faq.txt filters/code/code-filter-readme.txt \
doc/asciidoc.1.txt filters/code/code-filter-test.txt doc/book.txt doc/latex-backend.txt;
do  
    dos2unix < $i > $i.fixed ; mv -f $i.fixed $i ;
done


%build
%configure2_5x
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

mkdir -p %{buildroot}%{_datadir}/asciidoc/images/icons/callout
cp images/icons/*.png %{buildroot}%{_datadir}/asciidoc/images/icons
cp images/icons/callouts/*.png %{buildroot}%{_datadir}/asciidoc/images/icons/callout

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc BUGS CHANGELOG COPYRIGHT README
%doc doc/*.txt filters/*/*.txt
%doc %{_mandir}/man1/*
%config(noreplace) %{_sysconfdir}/asciidoc/
%{_bindir}/asciidoc.py
%{_bindir}/asciidoc
%{_bindir}/a2x.py
%{_bindir}/a2x
%{_datadir}/asciidoc/images/icons


%changelog
* Fri Nov 27 2015 gseaman <galen.seaman at comcast.net> 8.6.9-1gseaman2015
- 8.6.9

* Fri Aug 16 2013 billybot <billybot> 8.6.8-2pclos2013
- update python 2.7

* Tue Aug 21 2012 Neal <nealbrks0 at gmail dot com> 8.6.8-1pclos2012
- process

* Tue Aug 21 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 8.6.8-1pclos2012
- 8.6.8

* Thu May 24 2012 Neal <nealbrks0 at gmail dot com> 8.6.7-1pclos2012
- process

* Thu May 24 2012 ghostbunny <hmhaase at pclinuxosusers dot de> 8.6.7-1pclos2012
- 8.6.7
- added german summary and description
- added BuildRequires: docbook-*

* Tue Sep 06 2011 Texstar <texstar at gmail.com> 8.6.6-1pclos2011
- 8.6.6

* Sun Nov 21 2010 Texstar <texstar at gmail.com> 8.6.3-1pclos2010
- 8.6.3

* Mon Aug 30 2010 johnnyblack <johnnyblack at inbox.com> 8.6.1-1pclos2010
- 8.6.1

